### A free/open-source library for quantitative finance

Classes | Public Member Functions
SpreadOption Class Reference

Spread option on two assets. More...

`#include <ql/experimental/exoticoptions/spreadoption.hpp>`

Inheritance diagram for SpreadOption:
[legend]

List of all members.

## Classes

class | engine
| Spread option engine base class More...

## Public Member Functions

| SpreadOption (const boost::shared_ptr< PlainVanillaPayoff > &payoff, const boost::shared_ptr< Exercise > &exercise)

## Detailed Description

Spread option on two assets.